﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="TelerikCdnFallback.ascx.cs" Inherits="cdn_fallback_TelerikCdnFallback" %>

<asp:HiddenField runat="server" ID="cdnState" />
<telerik:RadCodeBlock runat="server" ID="rdbCdnFallback">
    <script>
        function cdnFallback() {
            try {
                var cdnTest = $telerik;//accessing the variable will throw an error if it is undefined, i.e., if the CDN failed
            }
            catch (ex) {
                var hfCdnState = document.getElementById("<%=cdnState.ClientID%>");
                if (hfCdnState.value == "") {//prevent endless requests in case some other error is thrown, e.g., WebResource requests fail too
                    hfCdnState.value = "none"
                    //there are different ways to invoke the request - through MS AJAX or via standard JS methods
                    //you can choose the one most appropriate for you and even tweak the request (e.g., add a timeout or a notification to the user)
                    //__doPostBack("", "");
                    document.forms[0].submit();
                }
            }
        }

        //attaching the error event handler - if the CDN fails, then the Telerik namespace will not be registered and the first Telerik
        //control will throw an error, so we capture that and raise a postback to disable the Telerik CDN
        if (window.addEventListener) {
            window.addEventListener("error", cdnFallback, false);
        } else if (window.attachEvent) {
            window.attachEvent("error", cdnFallback);
        }
    </script>
</telerik:RadCodeBlock>
