﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class cdn_fallback_TelerikCdnFallback : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Request[cdnState.UniqueID] == "none")
        {
            RadScriptManager sm = RadScriptManager.GetCurrent(Page) as RadScriptManager;
            if (sm != null)
            {
                sm.CdnSettings.TelerikCdn = TelerikCdnMode.Disabled;
                cdnState.Value = "none";//used in the scripts to prevent endless loops in case other errors arise

                //disable stylesheet CDN as well, it uses the same CDN as the scripts CDN and if one fails, so will the other
                //detecting failed stylesheets, however, is much harder because they will not throw errors, so we rely on
                //JS error detection to disable the skins CDN as well
                RadStyleSheetManager ssm = RadStyleSheetManager.GetCurrent(Page);
                if (ssm != null)
                {
                    ssm.CdnSettings.TelerikCdn = TelerikCdnMode.Disabled;
                }
            }
        }

    }
}